namespace efl { namespace canvas { 
inline ::efl::eolian::return_traits<bool>::type Group::group_need_recalculate_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_group_need_recalculate_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Group::group_need_recalculate_set( ::efl::eolian::in_traits<bool>::type value) const
{
    ::efl_canvas_group_need_recalculate_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(value));
}
inline ::efl::eolian::return_traits<void>::type Group::group_change() const
{
    ::efl_canvas_group_change(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Group::group_calculate() const
{
    ::efl_canvas_group_calculate(this->_eo_ptr());
}
inline ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::canvas::Object>>::type Group::group_children_iterate() const
{
   Eina_Iterator * __return_value =  ::efl_canvas_group_children_iterate(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::canvas::Object>>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Group::group_member_add( ::efl::eolian::in_traits< ::efl::canvas::Object>::type sub_obj) const
{
    ::efl_canvas_group_member_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(sub_obj));
}
inline ::efl::eolian::return_traits<void>::type Group::group_member_del( ::efl::eolian::in_traits< ::efl::canvas::Object>::type sub_obj) const
{
    ::efl_canvas_group_member_del(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(sub_obj));
}
} } 
namespace eo_cxx {
namespace efl { namespace canvas { 
inline ::efl::eolian::return_traits<bool>::type Group::group_need_recalculate_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_group_need_recalculate_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Group::group_need_recalculate_set( ::efl::eolian::in_traits<bool>::type value) const
{
    ::efl_canvas_group_need_recalculate_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(value));
}
inline ::efl::eolian::return_traits<void>::type Group::group_change() const
{
    ::efl_canvas_group_change(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Group::group_calculate() const
{
    ::efl_canvas_group_calculate(this->_eo_ptr());
}
inline ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::canvas::Object>>::type Group::group_children_iterate() const
{
   Eina_Iterator * __return_value =  ::efl_canvas_group_children_iterate(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::iterator< ::efl::canvas::Object>>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Group::group_member_add( ::efl::eolian::in_traits< ::efl::canvas::Object>::type sub_obj) const
{
    ::efl_canvas_group_member_add(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(sub_obj));
}
inline ::efl::eolian::return_traits<void>::type Group::group_member_del( ::efl::eolian::in_traits< ::efl::canvas::Object>::type sub_obj) const
{
    ::efl_canvas_group_member_del(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(sub_obj));
}
inline efl::canvas::Group::operator ::efl::canvas::Group() const { return *static_cast< ::efl::canvas::Group const*>(static_cast<void const*>(this)); }
inline efl::canvas::Group::operator ::efl::canvas::Group&() { return *static_cast< ::efl::canvas::Group*>(static_cast<void*>(this)); }
inline efl::canvas::Group::operator ::efl::canvas::Group const&() const { return *static_cast< ::efl::canvas::Group const*>(static_cast<void const*>(this)); }
} } }

